package dev.boyfailure.quajra.vectorbreakout;

import java.awt.geom.Rectangle2D;

public class Hitbox {
    
    private Rectangle2D bounds;
    byte padding = 0;
    
    public Hitbox(int x, int y, int x2, int y2, int padding) {
        this.padding = (byte) padding;
        this.bounds = new Rectangle2D.Float(x - padding, y - padding, x2 + padding, y2 + padding);
    }
    
    public boolean collides(Rectangle2D hitBox2) {
        if (this.bounds.intersects(hitBox2)) {
            return true;
        }
        else {
            return false;
        }
    }
    
    public void moveTo(int x, int y, int x2, int y2) {
        this.bounds.setRect(x - this.padding, y - this.padding, x2 + padding, y2 + padding);
    }
    
    public Rectangle2D getBounds() {
        return this.bounds;
    }
    public void setBounds(int x, int y, int x2, int y2) {
        this.bounds = new Rectangle2D.Float(x - this.padding, y - this.padding, x2 + this.padding, y2 + this.padding);
    }

}
