package dev.boyfailure.quajra.vectorbreakout;

import java.util.ArrayList;

public class Menu {
    
    public String menuTitle = "Menu";
    public byte index = 0;

    private ArrayList<TextElement> textElementList;
    
    private GameState gameState;
    
    public Menu(GameState gameState) {
        this.gameState = gameState;
    }
    
    /**
     * Adds a TextElement to the Menu.
     * @param text The text that will be displayed.
     * @param textScale The size of the text on screen.
     * @param x The x coordinate of the text's origin point.
     * @param y The y coordinate of the text's origin point.
     * @param textColor The color of the text.
     * @param vectorScale The scale of the text.
     */
    public void addTextElement(String text, float textScale, int x, int y, int textColor, float vectorScale) {
        textElementList.add(new TextElement(this.gameState, text, textScale, x, y, textColor, vectorScale));
    }
    
    /**
     * Gets the TextElement at the specified index in the Menu.
     * @param index
     * @return The TextElement at the index.
     */
    public TextElement getTextElement(int index) {
        return textElementList.get(index);
    }
    
    public void activate() {
        
    }
    
}
